
_init:

;UsbHidInterface.mpas,9 :: 		begin
;UsbHidInterface.mpas,11 :: 		TRISB := 0x00; //  Configuration du PORTB comme des sorties
	CLRF        TRISB+0 
;UsbHidInterface.mpas,12 :: 		PORTB := 0x00; // On met  zro le PORTB
	CLRF        PORTB+0 
;UsbHidInterface.mpas,13 :: 		LATB := 0x00;  // Toutes les sorties du PORTB sont  l'tat logique bas
	CLRF        LATB+0 
;UsbHidInterface.mpas,15 :: 		CMCON := 0x07; // On dsactive les comparateurs de tensions
	MOVLW       7
	MOVWF       CMCON+0 
;UsbHidInterface.mpas,17 :: 		ADON_bit := 0; // On dscative le module de lecture A/N
	BCF         ADON_bit+0, 0 
;UsbHidInterface.mpas,19 :: 		PCFG0_bit := 1; // | Configuration des entres
	BSF         PCFG0_bit+0, 0 
;UsbHidInterface.mpas,20 :: 		PCFG1_bit := 1; // | en mode
	BSF         PCFG1_bit+0, 1 
;UsbHidInterface.mpas,21 :: 		PCFG2_bit := 1; // | numriques
	BSF         PCFG2_bit+0, 2 
;UsbHidInterface.mpas,22 :: 		PCFG3_bit := 1; // |
	BSF         PCFG3_bit+0, 3 
;UsbHidInterface.mpas,24 :: 		HID_Enable(@readbuff,@writebuff);   // On active le module HID (USB)
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;UsbHidInterface.mpas,25 :: 		end;
	RETURN      0
; end of _init

_interrupt:

;UsbHidInterface.mpas,28 :: 		begin
;UsbHidInterface.mpas,29 :: 		USB_Interrupt_Proc();
	CALL        _USB_Interrupt_Proc+0, 0
;UsbHidInterface.mpas,30 :: 		end;
L__interrupt23:
	RETFIE      1
; end of _interrupt

_main:

;UsbHidInterface.mpas,32 :: 		begin
;UsbHidInterface.mpas,34 :: 		init();
	CALL        _init+0, 0
;UsbHidInterface.mpas,36 :: 		while true do
L__main4:
;UsbHidInterface.mpas,38 :: 		while(HID_Read() = 0) do // Lecture en boucle des donnes reus
L__main9:
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main10
;UsbHidInterface.mpas,41 :: 		for cnt:= 0 to 63 do
	CLRF        _cnt+0 
L__main14:
;UsbHidInterface.mpas,43 :: 		writebuff[cnt] := readbuff[cnt]; // Utiliser avec HID Terminal (MikroE)
	MOVLW       _writebuff+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _readbuff+0
	MOVWF       FSR0L 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR0H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR0L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;UsbHidInterface.mpas,44 :: 		PORTB := readbuff[cnt]; // Lecture des donnes dans le Buffer
	MOVLW       _readbuff+0
	MOVWF       FSR0L 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR0H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR0L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       PORTB+0 
;UsbHidInterface.mpas,45 :: 		end;
	MOVF        _cnt+0, 0 
	XORLW       63
	BTFSC       STATUS+0, 2 
	GOTO        L__main17
	INCF        _cnt+0, 1 
	GOTO        L__main14
L__main17:
;UsbHidInterface.mpas,46 :: 		end;
	GOTO        L__main9
L__main10:
;UsbHidInterface.mpas,48 :: 		while(HID_Write(@writebuff,64) = 0) do;
L__main19:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__main19
;UsbHidInterface.mpas,50 :: 		end;
	GOTO        L__main4
;UsbHidInterface.mpas,51 :: 		end.
	GOTO        $+0
; end of _main
